Subject: bug#25020: closed (Re: bug#25020: guix refresh does not discover updates if URLs are "non-standard")

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Nov 2017 17:51:02 +0000

Your bug report

#25020: guix refresh does not discover updates if URLs are "non-standard"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25020: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25020
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25020: guix refresh does not discover updates if URLs are "non-standard"
From: [email-masked] (Ludovic Courtès)
To: Hartmut Goebel <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Nov 2017 18:50:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> Hartmut Goebel <[email-masked]> skribis:
>
>> Am 23.01.2017 um 23:14 schrieb Ludovic Courtès:
>>> > Fixed for oxygen-icons in commit
>>> > 683c5ab70accb909697717bb61741a7692c52c09.
>>
>> For  oxygen-icons  (those with a number behind the name), refresh works.
>>
>>
>> For "kross" (additional directory level), it does not. Kross is still in
>> my work-pipeline, so here is the WIP (stripped down):
>>
>> (define-public kross
>>   (package
>>     (name "kross")
>>     (version "5.28.0")
>>     (source
>>      (origin
>>        (method url-fetch)
>>        (uri (string-append
>>              "mirror://kde/stable/frameworks/"
>>              (version-major+minor version) "/portingAids/"
>>              name "-" version ".tar.xz"))
>
> I see.
>
> I suggest that we address it by specifying an ‘ftp-directory’ package
> property in this case, just like the GNU updater does.

That wouldn’t have worked due to the /frameworks/X.Y/portingAids layout.

Anyway, commit 026f6a42b680207a59beadf0b0b9cc1753f55605 fixes it:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix refresh kross extra-cmake-modules
gnu/packages/kde-frameworks.scm:77:13: extra-cmake-modules would be upgraded from 5.39.0 to 5.40.0
gnu/packages/kde-frameworks.scm:3552:13: info: 5.39.0 is already the latest version of kross
--8<---------------cut here---------------end--------------->8---

Ludo’.

Subject: guix refresh does not discover updates if URLs are "non-standard"
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Thu, 24 Nov 2016 18:59:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just updated kde-frameworks to 5.28 and found that not all updates
have been discovered.

Those where the URL is following the standard schema where found:
"mirror://kde/stable/frameworks/" (version-major+minor version) "/" name
"-" version ".tar.xz"))

Those having a different name of the archive or having an additional
directory behind the first version-part have not been found.

Update found for:

    (name "extra-cmake-modules")
    (version "5.27.0")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "mirror://kde/stable/frameworks/"
                    (version-major+minor version) "/"
                    name "-" version ".tar.xz"))

Update not found for (archive-name has "5" appended):

    (name "oxygen-icons")
    (version "5.27.0")
    (source (origin
              (method url-fetch)
              (uri (string-append
                    "mirror://kde/stable/frameworks/"
                    (version-major+minor version) "/"
                    name "5" "-" version ".tar.xz"))

Update not found for (additional directory level):

    (name "kross")
    (version "5.27.0")
    (source
     (origin
       (method url-fetch)
       (uri (string-append
             "mirror://kde/stable/frameworks/"
             (version-major+minor version) "/portingAids/"
             name "-" version ".tar.xz"))

-- 
Schönen Gruß
Hartmut Goebel
Dipl.-Informatiker (univ), CISSP, CSSLP, ISO 27001 Lead Implementer
Information Security Management, Security Governance, Secure Software
Development

Goebel Consult, Landshut
http://www.goebel-consult.de

Blog:
http://www.goebel-consult.de/blog/das-fass-ist-voll-grunde-linux-201asystemd2018-zu-meiden

Kolumne:
http://www.cissp-gefluester.de/2011-09-kommerz-uber-recht-fdp-die-gefaellt-mir-partei